Bug 231127 - www/trafficserver: update 6.2.0 -> 6.2.3
Summary: www/trafficserver: update 6.2.0 -> 6.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-03 19:53 UTC by Kurt Jaeger
Modified: 2019-01-12 13:03 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-
pi: merge-quarterly+


Attachments
patch (5.92 KB, patch)
2018-09-03 19:53 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2018-09-03 19:53:18 UTC
Created attachment 196824 [details]
patch

testbuild fine on 12a. I guess it would also build on the other platforms, as there are not that many changes.

Changelog:
  https://raw.githubusercontent.com/apache/trafficserver/6.2.3/CHANGELOG-6.2.3
  https://raw.githubusercontent.com/apache/trafficserver/6.2.2/CHANGELOG-6.2.2
  https://raw.githubusercontent.com/apache/trafficserver/6.2.1/CHANGELOG-6.2.1
Comment 1 rainer 2019-01-02 02:18:46 UTC
current version of the port does not build on FreeBSD 12.
An update that makes the port build again would be appreciated.

Also, it looks like version 7 is the latest LTS release. Maybe create a trafficserver7 port?
Comment 2 Hung-Yi Chen 2019-01-02 03:03:40 UTC
I'm testing ATS 8.0.1.

I'll send a PR for 8.x & 7.x LTS.
Comment 3 Kurt Jaeger freebsd_committer 2019-01-02 06:32:13 UTC
Please add me to the new PR or add the patch to this PR and update the title.
Comment 4 Sam Chen 2019-01-11 05:41:51 UTC
With Kurt's patch applied, which upgrades to trafficserver-6.2.3, I can confirm compiles on both 12.0-RELEASE and 11.2-RELEASE amd64 hosts.  Thank you.

The original trafficserver-6.2.0 port didn't compile on my 12.0-RELEASE host either, with its newer openssl-1.1.1a.  The changelog for trafficserver 6.2.2, linked above, notes that issue and fix:
  #1321 - 6.2.x TS-4435 and TS-5059: Fixes for OpenSSL 1.1

Comment on rainer's note: one workaround for 6.2.0 to build on 12.0-RELEASE is to require openssl-1.0 by adding to Makefile: DEFAULT_VERSIONS+= ssl=openssl
But I don't recommend it.
Comment 5 Kurt Jaeger freebsd_committer 2019-01-11 06:15:38 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2019-01-11 06:16:32 UTC
A commit references this bug:

Author: pi
Date: Fri Jan 11 06:15:33 UTC 2019
New revision: 489946
URL: https://svnweb.freebsd.org/changeset/ports/489946

Log:
  www/trafficserver: update 6.2.0 -> 6.2.3, fix build on 12

  PR:		231127
  Reviewed by:	Sam Chen <sc.gear@one.caeon.com>
  Approved by:	gaod@hychen.org (maintainer timeout)
  Relnotes:	https://raw.githubusercontent.com/apache/trafficserver/6.2.3/CHANGELOG-6.2.3
    https://raw.githubusercontent.com/apache/trafficserver/6.2.2/CHANGELOG-6.2.2
    https://raw.githubusercontent.com/apache/trafficserver/6.2.1/CHANGELOG-6.2.1

Changes:
  head/www/trafficserver/Makefile
  head/www/trafficserver/distinfo
  head/www/trafficserver/files/patch-cmd_traffic__manager_MgmtHandlers.cc
  head/www/trafficserver/files/patch-iocore_cluster_ClusterCache.cc
  head/www/trafficserver/files/patch-mgmt_utils_MgmtSocket.cc
  head/www/trafficserver/files/patch-proxy_Main.cc
  head/www/trafficserver/files/patch-proxy_http_remap_RemapPluginInfo.cc
Comment 7 rainer 2019-01-11 08:37:53 UTC
Would it be possible to backport this to 2019Q1?
Comment 8 commit-hook freebsd_committer 2019-01-12 13:02:34 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 12 13:02:13 UTC 2019
New revision: 490053
URL: https://svnweb.freebsd.org/changeset/ports/490053

Log:
  MFH: r489946

  www/trafficserver: update 6.2.0 -> 6.2.3 to fix build on 12

  PR:		231127
  Reviewed by:	Sam Chen <sc.gear@one.caeon.com>
  Approved by:	gaod@hychen.org (maintainer timeout)
  Relnotes:	https://raw.githubusercontent.com/apache/trafficserver/6.2.3/CHANGELOG-6.2.3
    https://raw.githubusercontent.com/apache/trafficserver/6.2.2/CHANGELOG-6.2.2
    https://raw.githubusercontent.com/apache/trafficserver/6.2.1/CHANGELOG-6.2.1
  Approved by:	portmgr (unbreak build blanket)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/www/trafficserver/Makefile
  branches/2019Q1/www/trafficserver/distinfo
  branches/2019Q1/www/trafficserver/files/patch-cmd_traffic__manager_MgmtHandlers.cc
  branches/2019Q1/www/trafficserver/files/patch-iocore_cluster_ClusterCache.cc
  branches/2019Q1/www/trafficserver/files/patch-mgmt_utils_MgmtSocket.cc
  branches/2019Q1/www/trafficserver/files/patch-proxy_Main.cc
  branches/2019Q1/www/trafficserver/files/patch-proxy_http_remap_RemapPluginInfo.cc
Comment 9 Kurt Jaeger freebsd_committer 2019-01-12 13:03:28 UTC
MFH done